.sidebar-separator {
    height: 2px;
    margin: 10px 0px !important;
}

.sidebar-menu {
    li > a {
        padding: 14px 5px 14px 15px;
        .light-sidebar & {
            font-weight: 400;
        }

        .sidebar-collapse & {
            padding: 14px 5px 14px 15px;
        }
    }
}

/* fix for main sidebar flat navmenu text width */
.main-sidebar {
    .sidebar-menu {
        li a {
            span {
                white-space: normal;
            }
        }
    }
}

.sidebar-extra-pad-left {
    padding-left: 25px!important;
    
    .sidebar-collapse & {
        padding-left: 15px!important;
    }
}

.control-sidebar {
    &.control-sidebar-dark {
        // quick links style in post sidebar
        .quick-links {
            padding: 10px;
            background: @sidebar-dark-bg;
            border-bottom: 1px solid #374850;

            .quick-link {
                color: @sidebar-dark-submenu-color;

                &:hover {
                    color: @sidebar-dark-submenu-hover-color;
                }

                &.pinned {
                    color: @active-skin-color;
                }
            }
        }
    }

    &.control-sidebar-light {
        // quick links style in post sidebar
        .quick-links {
            padding: 10px;
            background: @sidebar-light-bg;
            border-bottom: 1px solid #ddd;

            .quick-link {
                color: @sidebar-light-submenu-color;

                &:hover {
                    color: @sidebar-light-submenu-hover-color;
                }

                &.pinned {
                    color: @active-skin-color;
                }
            }
        }
    }
}

.dark-sidebar {
    .sidebar-separator {
        background: #374850;
    }

    // buttons style in post sidebar
    // forum search form in action buttons section
    .forumsearch {
        #searchforums {
            background-color: lighten(@sidebar-dark-bg, 10%);
            border: none;
            color: @sidebar-dark-submenu-color!important;
        }

        #search {
            box-shadow: none;
            background-color: #374850;
            border: 1px solid transparent;
            height: 35px;
            color: #666;

            &:focus {
                color: #666;
                background-color: #fff;
            }
        }
    }
}

.light-sidebar {
    .sidebar-separator {
        background: @sidebar-light-bg;
    }
    
    // forum search form in action buttons section
    .forumsearch {
        #searchforums {
            color: @sidebar-light-submenu-color!important;
            border-radius: 0;
        }
    }
}

/* activity navigation section in sidebar */
.back-course {
    background: @sidebar-light-bg;

    .dark-sidebar & {
        background: @sidebar-dark-bg;
    }
    
    .fixed & {
        position: fixed;
        width: @sidebar-width;
        z-index: 810;

        .sidebar-collapse& {
            width: 50px;
        }

        top: @navbar-height;
        @media (max-width: @screen-sm) {
            top: (@navbar-height + 50px);
        }

        .light-skin& {
            box-shadow: #777 0px 8px 10px -10px;
        }
    }

    a {
        font-size: 13px;
        height: 50px;
        max-height: 50px;
        border-left: none !important;
        cursor: pointer;

        i {
            font-size: 18px;
            vertical-align:middle;

            .dir-rtl & {
                .fa-flip-horizontal;
            }
        }
    }
}

// show completion progress 
.main-sidebar {

    .activities {
        .fixed & {
            padding-top: 50px;
        }
    }

    li.activity {
        a {
            padding: 10px 5px 10px 15px !important;

            img {
                display: block;
                float: left;
            }
        }
        
        &.complete span.instancename {
            &:after {
                content: "\f00c";
                color: @green;
            }
        }
        &.incomplete span.instancename {
            &:after {
                content: "\f00c";
                color: #ccc;
            }
        }
        &.fail span.instancename {
            &:after {
                content: "\f00c";
                color: @red;
            }
        }

        span.instancename {
            display: block;
            padding-right: 16px;
            &:after {
                font-family: FontAwesome;
                font-size: 14px;
                right: 9px;
                position: absolute;
                top: 10px;
            }
        }
    }
}